import { Emitter } from "../../emitter";
import type { TargetInfo } from "../../target";
import type { AsyncRuntimeOptions } from "./runtime";
export declare function generateSysRuntime(emitter: Emitter, targetInfo: TargetInfo): void;
export declare function generateAsyncRuntimeIOCommon(emitter: Emitter, targetInfo: TargetInfo, options: AsyncRuntimeOptions): void;
